## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEIndex

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, Index, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASECatalogIndex, SybaseASEIndexImpl

    public interface SybaseASEIndex

extends Index, SQLObject

A representation of the model object 'Sybase ASE Index'.

The following features are supported:

- `Max Row Per Page`
- `Reverse Page Gap`
- `Ignore Duplicate Key`
- `Sorted Data`
- `Ignore Duplicate Row`
- `Segment`
- `Local Index`
- `Partitions`
- `Consumer Num`
- `Statistics Step`
- `Allow Duplicate Row`
- `Suspect`
- `Cache Info`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEIndex()`

Method Summary
`CacheInfo` `getCacheInfo()` Returns the value of the 'Cache Info' containment reference.
`int` `getConsumerNum()` Returns the value of the 'Consumer Num' attribute.
`int` `getMaxRowPerPage()` Returns the value of the 'Max Row Per Page' attribute.
`org.eclipse.emf.common.util.EList` `getPartitions()` Returns the value of the 'Partitions' containment reference list.
`int` `getReversePageGap()` Returns the value of the 'Reverse Page Gap' attribute.
`SybaseASESegment` `getSegment()` Returns the value of the 'Segment' reference.
`int` `getStatisticsStep()` Returns the value of the 'Statistics Step' attribute.
`boolean` `isAllowDuplicateRow()` Returns the value of the 'Allow Duplicate Row' attribute.
`boolean` `isIgnoreDuplicateKey()` Returns the value of the 'Ignore Duplicate Key' attribute.
`boolean` `isIgnoreDuplicateRow()` Returns the value of the 'Ignore Duplicate Row' attribute.
`boolean` `isLocalIndex()` Returns the value of the 'Local Index' attribute.
`boolean` `isSortedData()` Returns the value of the 'Sorted Data' attribute.
`boolean` `isSuspect()` Returns the value of the 'Suspect' attribute.
`void` `setAllowDuplicateRow(boolean value)` Sets the value of the '`Allow Duplicate Row`' attribute.
`void` `setCacheInfo(CacheInfo value)` Sets the value of the '`Cache Info`' containment reference.
`void` `setConsumerNum(int value)` Sets the value of the '`Consumer Num`' attribute.
`void` `setIgnoreDuplicateKey(boolean value)` Sets the value of the '`Ignore Duplicate Key`' attribute.
`void` `setIgnoreDuplicateRow(boolean value)` Sets the value of the '`Ignore Duplicate Row`' attribute.
`void` `setLocalIndex(boolean value)` Sets the value of the '`Local Index`' attribute.
`void` `setMaxRowPerPage(int value)` Sets the value of the '`Max Row Per Page`' attribute.
`void` `setReversePageGap(int value)` Sets the value of the '`Reverse Page Gap`' attribute.
`void` `setSegment(SybaseASESegment value)` Sets the value of the '`Segment`' reference.
`void` `setSortedData(boolean value)` Sets the value of the '`Sorted Data`' attribute.
`void` `setStatisticsStep(int value)` Sets the value of the '`Statistics Step`' attribute.
`void` `setSuspect(boolean value)` Sets the value of the '`Suspect`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Index
`getFillFactor, getForeignKey, getIncludedMembers, getMembers, getSchema, getTable, isClustered, isSystemGenerated, isUnique, setClustered, setFillFactor, setSchema, setSystemGenerated, setTable, setUnique`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMaxRowPerPage

    int getMaxRowPerPage()

  Returns the value of the 'Max Row Per Page' attribute. The default value is `"-1"`.

  If the meaning of the 'Max Row Per Page' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Row Per Page' attribute.
  See Also:
    `setMaxRowPerPage(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_MaxRowPerPage()`

### setMaxRowPerPage

    void setMaxRowPerPage(int value)

  Sets the value of the '`Max Row Per Page`' attribute.

  Parameters:
    `value` - the new value of the 'Max Row Per Page' attribute.
  See Also:
    `getMaxRowPerPage()`

### getReversePageGap

    int getReversePageGap()

  Returns the value of the 'Reverse Page Gap' attribute. The default value is `"-1"`.

  If the meaning of the 'Reverse Page Gap' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Reverse Page Gap' attribute.
  See Also:
    `setReversePageGap(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_ReversePageGap()`

### setReversePageGap

    void setReversePageGap(int value)

  Sets the value of the '`Reverse Page Gap`' attribute.

  Parameters:
    `value` - the new value of the 'Reverse Page Gap' attribute.
  See Also:
    `getReversePageGap()`

### isIgnoreDuplicateKey

    boolean isIgnoreDuplicateKey()

  Returns the value of the 'Ignore Duplicate Key' attribute.

  If the meaning of the 'Ignore Duplicate Key' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ignore Duplicate Key' attribute.
  See Also:
    `setIgnoreDuplicateKey(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_IgnoreDuplicateKey()`

### setIgnoreDuplicateKey

    void setIgnoreDuplicateKey(boolean value)

  Sets the value of the '`Ignore Duplicate Key`' attribute.

  Parameters:
    `value` - the new value of the 'Ignore Duplicate Key' attribute.
  See Also:
    `isIgnoreDuplicateKey()`

### isSortedData

    boolean isSortedData()

  Returns the value of the 'Sorted Data' attribute.

  If the meaning of the 'Sorted Data' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sorted Data' attribute.
  See Also:
    `setSortedData(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_SortedData()`

### setSortedData

    void setSortedData(boolean value)

  Sets the value of the '`Sorted Data`' attribute.

  Parameters:
    `value` - the new value of the 'Sorted Data' attribute.
  See Also:
    `isSortedData()`

### isIgnoreDuplicateRow

    boolean isIgnoreDuplicateRow()

  Returns the value of the 'Ignore Duplicate Row' attribute.

  If the meaning of the 'Ignore Duplicate Row' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Ignore Duplicate Row' attribute.
  See Also:
    `setIgnoreDuplicateRow(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_IgnoreDuplicateRow()`

### setIgnoreDuplicateRow

    void setIgnoreDuplicateRow(boolean value)

  Sets the value of the '`Ignore Duplicate Row`' attribute.

  Parameters:
    `value` - the new value of the 'Ignore Duplicate Row' attribute.
  See Also:
    `isIgnoreDuplicateRow()`

### getSegment

    SybaseASESegment getSegment()

  Returns the value of the 'Segment' reference.

  If the meaning of the 'Segment' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Segment' reference.
  See Also:
    `setSegment(SybaseASESegment)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_Segment()`

### setSegment

    void setSegment(SybaseASESegment value)

  Sets the value of the '`Segment`' reference.

  Parameters:
    `value` - the new value of the 'Segment' reference.
  See Also:
    `getSegment()`

### isLocalIndex

    boolean isLocalIndex()

  Returns the value of the 'Local Index' attribute.

  If the meaning of the 'Local Index' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Local Index' attribute.
  See Also:
    `setLocalIndex(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_LocalIndex()`

### setLocalIndex

    void setLocalIndex(boolean value)

  Sets the value of the '`Local Index`' attribute.

  Parameters:
    `value` - the new value of the 'Local Index' attribute.
  See Also:
    `isLocalIndex()`

### getPartitions

    org.eclipse.emf.common.util.EList getPartitions()

  Returns the value of the 'Partitions' containment reference list. The list contents are of type `PartitionSegmentPair`.

  If the meaning of the 'Partitions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partitions' containment reference list.
  See Also:
    `SybaseasesqlmodelPackage.getSybaseASEIndex_Partitions()`

### getConsumerNum

    int getConsumerNum()

  Returns the value of the 'Consumer Num' attribute. The default value is `"-1"`.

  If the meaning of the 'Consumer Num' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Consumer Num' attribute.
  See Also:
    `setConsumerNum(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_ConsumerNum()`

### setConsumerNum

    void setConsumerNum(int value)

  Sets the value of the '`Consumer Num`' attribute.

  Parameters:
    `value` - the new value of the 'Consumer Num' attribute.
  See Also:
    `getConsumerNum()`

### getStatisticsStep

    int getStatisticsStep()

  Returns the value of the 'Statistics Step' attribute. The default value is `"-1"`.

  If the meaning of the 'Statistics Step' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Statistics Step' attribute.
  See Also:
    `setStatisticsStep(int)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_StatisticsStep()`

### setStatisticsStep

    void setStatisticsStep(int value)

  Sets the value of the '`Statistics Step`' attribute.

  Parameters:
    `value` - the new value of the 'Statistics Step' attribute.
  See Also:
    `getStatisticsStep()`

### isAllowDuplicateRow

    boolean isAllowDuplicateRow()

  Returns the value of the 'Allow Duplicate Row' attribute.

  If the meaning of the 'Allow Duplicate Row' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Allow Duplicate Row' attribute.
  See Also:
    `setAllowDuplicateRow(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_AllowDuplicateRow()`

### setAllowDuplicateRow

    void setAllowDuplicateRow(boolean value)

  Sets the value of the '`Allow Duplicate Row`' attribute.

  Parameters:
    `value` - the new value of the 'Allow Duplicate Row' attribute.
  See Also:
    `isAllowDuplicateRow()`

### isSuspect

    boolean isSuspect()

  Returns the value of the 'Suspect' attribute.

  If the meaning of the 'Suspect' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Suspect' attribute.
  See Also:
    `setSuspect(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_Suspect()`

### setSuspect

    void setSuspect(boolean value)

  Sets the value of the '`Suspect`' attribute.

  Parameters:
    `value` - the new value of the 'Suspect' attribute.
  See Also:
    `isSuspect()`

### getCacheInfo

    CacheInfo getCacheInfo()

  Returns the value of the 'Cache Info' containment reference.

  If the meaning of the 'Cache Info' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cache Info' containment reference.
  See Also:
    `setCacheInfo(CacheInfo)`, `SybaseasesqlmodelPackage.getSybaseASEIndex_CacheInfo()`

### setCacheInfo

    void setCacheInfo(CacheInfo value)

  Sets the value of the '`Cache Info`' containment reference.

  Parameters:
    `value` - the new value of the 'Cache Info' containment reference.
  See Also:
    `getCacheInfo()`